package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.entity.system.email.approve.SysApproveEmailSearchEntity;
import com.crm.rely.backend.core.pojo.table.SysApproveEmailTable;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysApproveEmailMapper {

    Integer countList(SysApproveEmailSearchEntity entity);

    List<SysApproveEmailTable> pageList(SysApproveEmailSearchEntity entity);

    String findEmailStr(@Param("emails") String[] emails);

    SysApproveEmailTable findByEmail(@Param("email") String email);

}
